<mat-toolbar class="housing-application-supporting-documents-banner">
  Housing Application and Supporting Documents
</mat-toolbar>
<div fxLayout="row" fxLayout.lt-md="column" class="housing-application-supporting-documents-client-top-banner">
  <div fxLayout="column" fxLayoutAlign="start" class="column-width">
    <span fxLayout="row" class="column-width">
      <span>
        <b>
          Agency/Site :
          &nbsp;
        </b>
        <span>
          {{ housingApplicationSupportingDocumentsData.agencyNumber + "/" + housingApplicationSupportingDocumentsData.siteNumber }}
        </span>
      </span>
      <span>
        <b>
          Client Name :
          &nbsp;
        </b>
        <span>
          {{ housingApplicationSupportingDocumentsData.lastName + ", " + housingApplicationSupportingDocumentsData.firstName | uppercase }}
        </span>
      </span>
      <span>
        <b>
          HRA Client # :
          &nbsp;
        </b>
        <span>
          {{ housingApplicationSupportingDocumentsData.pactClientId ? housingApplicationSupportingDocumentsData.pactClientId : '' }}
        </span>
      </span>
    </span>
  </div>
</div>
<div fxLayout="row" fxLayout.lt-md="column" class="housing-application-supporting-documents-client-bottom-banner">
  <div fxLayout="column" fxLayoutAlign="start" class="column-width">
    <span fxLayout="row" class="column-width">
      <span>
        <b>
          Approval Expiry Date :
          &nbsp;
        </b>
        <span>
          {{ housingApplicationSupportingDocumentsData.approvalExpiryDate }}
        </span>
      </span>
      <span>
        <b>
          Application # :
          &nbsp;
        </b>
        <span>
          {{ housingApplicationSupportingDocumentsData.pactApplicationId }}
        </span>
      </span>
      <span>
        <b>
          &nbsp;
        </b>
        <span>
          &nbsp;
        </span>
      </span>
    </span>
  </div>
</div>
<div fxLayout="row" fxLayout.lt-md="column" class="div-margin">
  <div fxLayout="column" fxLayoutAlign="start" class="column-width">
    <mat-accordion>
      <mat-expansion-panel [expanded]="housingApplicationSupportingDocumentsData.expandSection === 1">
        <mat-expansion-panel-header>
          <mat-panel-title>
            <span class="expansion-label">
              Application Package
            </span>
          </mat-panel-title>
        </mat-expansion-panel-header>
        <ag-grid-angular style="width: 100%" class="ag-theme-balham client-documents-grid"
          [rowData]="applicationPackageRowData" [columnDefs]="columnDefs"
          (gridReady)="onApplicationPackageGridReady($event)" [floatingFilter]="true" [animateRows]="false"
          [overlayNoRowsTemplate]="overlayNoRowsTemplate" [defaultColDef]="defaultColDef" [pagination]="true"
          [paginationPageSize]="5">
        </ag-grid-angular>
      </mat-expansion-panel>
    </mat-accordion>
  </div>
</div>
<div fxLayout="row" fxLayout.lt-md="column" class="div-margin">
  <div fxLayout="column" fxLayoutAlign="start" class="column-width">
    <mat-accordion>
      <mat-expansion-panel [expanded]="housingApplicationSupportingDocumentsData.expandSection === 2">
        <mat-expansion-panel-header>
          <mat-panel-title>
            <span class="expansion-label">
              Determination Documents
            </span>
          </mat-panel-title>
        </mat-expansion-panel-header>
        <ag-grid-angular style="width: 100%" class="ag-theme-balham client-documents-grid"
          [rowData]="determinationDocumentsRowData" [columnDefs]="columnDefs"
          (gridReady)="onDeterminationDocumentsGridReady($event)" [floatingFilter]="true" [animateRows]="false"
          [overlayNoRowsTemplate]="overlayNoRowsTemplate" [defaultColDef]="defaultColDef" [pagination]="true"
          [paginationPageSize]="5">
        </ag-grid-angular>
      </mat-expansion-panel>
    </mat-accordion>
  </div>
</div>
<div fxLayout="row" fxLayout.lt-md="column" class="div-margin" *ngIf="canShowPostApprovalUpload">
  <div fxLayout="column" fxLayoutAlign="start" class="column-width">
    <mat-accordion>
      <mat-expansion-panel [expanded]="housingApplicationSupportingDocumentsData.expandSection === 3"
        class="post-approval-panel">
        <mat-expansion-panel-header>
          <mat-panel-title>
            <span class="expansion-label">
              Post Approval Documents
            </span>
          </mat-panel-title>
        </mat-expansion-panel-header>
        <app-document  [preSelectedDocType]="325"
          [pactApplicationID]="housingApplicationSupportingDocumentsData.pactApplicationId" [deleteDisabled]="deleteDisabled"  (onValueChange)="onDocumentValueChange($event)">
        </app-document>
      </mat-expansion-panel>
    </mat-accordion>
  </div>
</div>
<div fxLayout="row" fxLayout.lt-md="column">
  <div fxLayout="column" fxLayoutAlign="start" class="column-width">
    <mat-accordion>
      <mat-expansion-panel [expanded]="housingApplicationSupportingDocumentsData.expandSection === 4">
        <mat-expansion-panel-header>
          <mat-panel-title>
            <span class="expansion-label">
              HRA Viewer Documents
            </span>
          </mat-panel-title>
        </mat-expansion-panel-header>
        <ng-template matExpansionPanelContent>
          <app-client-documents-grid [clientDocumentsData]="clientDocumentsData" style="width: 100%">
          </app-client-documents-grid>
        </ng-template>
      </mat-expansion-panel>
    </mat-accordion>
  </div>
</div>